POST V1/PaymentsMaster.{ext}/SubAccounts

To Create Sub Account.
Mandatory Fileds: ClientId,ClientName,ProductId,ProductName,AccountType,BankType,ABARoutingNumber,CompanyId,AccountNumber
AccountCurrency,BankName,Address1,City,State,Zip,Country
Optional Fileds :N/A

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Payments.Entities.SubAccount
NameDescriptionTypeAdditional information
ClientSubAccountId

Gets or sets Client Sub Account Id.

integer

None.

ProductId

Gets or sets ProductId.

integer

None.

ProductName

Gets or sets Product Name.

string

None.

ClientId

Gets or sets Client Id.

integer

None.

ClientName

Gets or sets Client Name.

string

None.

AccountCurrency

Gets or sets Account Currency.

string

None.

AccountType

Gets or sets Account Type.

string

None.

BankName

Gets or sets Bank Name.

string

None.

AccountNumber

Gets or sets Account Number.

string

None.

CompanyId

Gets or sets Company Id.

integer

None.

CompanyCode

Gets or sets Company Code.

string

None.

CompanyBankAcctNumber

Gets or sets Company Bank Account Number.

string

None.

ABARoutingNumber

Gets or sets ABA Routing Number.

string

None.

BankType

Gets or sets Bank Type.

string

None.

Address1

Gets or sets Address 1.

string

None.

Address2

Gets or sets Address 2.

string

None.

City

Gets or sets City.

string

None.

State

Gets or sets State.

string

None.

Zip

Gets or sets Zip Code.

string

None.

Country

Gets or sets Country.

string

None.

Status

Gets or sets Status.

string

None.

Request Formats

application/json, text/json

Sample:
{
  "clientSubAccountId": 1,
  "productId": 1,
  "productName": "sample string 1",
  "clientId": 1,
  "clientName": "sample string 2",
  "accountCurrency": "sample string 3",
  "accountType": "sample string 4",
  "bankName": "sample string 5",
  "accountNumber": "sample string 6",
  "companyId": 1,
  "companyCode": "sample string 7",
  "companyBankAcctNumber": "sample string 8",
  "abaRoutingNumber": "sample string 9",
  "bankType": "sample string 10",
  "address1": "sample string 11",
  "address2": "sample string 12",
  "city": "sample string 13",
  "state": "sample string 14",
  "zip": "sample string 15",
  "country": "sample string 16",
  "status": "sample string 17"
}

application/xml, text/xml

Sample:
<SubAccount xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <ABARoutingNumber>sample string 9</ABARoutingNumber>
  <AccountCurrency>sample string 3</AccountCurrency>
  <AccountNumber>sample string 6</AccountNumber>
  <AccountType>sample string 4</AccountType>
  <Address1>sample string 11</Address1>
  <Address2>sample string 12</Address2>
  <BankName>sample string 5</BankName>
  <BankType>sample string 10</BankType>
  <City>sample string 13</City>
  <ClientId>1</ClientId>
  <ClientName>sample string 2</ClientName>
  <ClientSubAccountId>1</ClientSubAccountId>
  <CompanyBankAcctNumber>sample string 8</CompanyBankAcctNumber>
  <CompanyCode>sample string 7</CompanyCode>
  <CompanyId>1</CompanyId>
  <Country>sample string 16</Country>
  <ProductId>1</ProductId>
  <ProductName>sample string 1</ProductName>
  <State>sample string 14</State>
  <Status>sample string 17</Status>
  <Zip>sample string 15</Zip>
</SubAccount>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.